Disabled in Vue Color picker component

29 Aug 20231 minute to read

To achieve disabled state in ColorPicker, set the disabled property to true. The ColorPicker pop-up cannot be accessed in disabled state.

The following example shows the disabled state of ColorPicker component.

<template>
<div class='wrap'>
    <h4>Choose Color</h4>
    <ejs-colorpicker :disabled="true"></ejs-colorpicker>
</div>
</template>

<script>
import Vue from 'vue';
import { ColorPickerPlugin } from '@syncfusion/ej2-vue-inputs';
import { enableRipple } from '@syncfusion/ej2-base';

enableRipple(true);
Vue.use(ColorPickerPlugin);

export default {}
</script>

<style>
@import '../node_modules/@syncfusion/ej2-base/styles/material.css';
@import '../node_modules/@syncfusion/ej2-buttons/styles/material.css';
@import '../node_modules/@syncfusion/ej2-popups/styles/material.css';
@import '../node_modules/@syncfusion/ej2-splitbuttons/styles/material.css';
@import '../node_modules/@syncfusion/ej2-inputs/styles/material.css';

.wrap {
  margin: 0 auto;
  width: 300px;
  text-align: center;
}
</style>

Disabled in React Color picker component

29 Aug 20232 minutes to read

To achieve disabled state in ColorPicker, set the disabled property to true. The ColorPicker pop-up cannot be accessed in disabled state.

The following example shows the disabled state of ColorPicker component.

import { ColorPickerComponent } from '@syncfusion/ej2-react-inputs';
import * as React from "react";
import * as ReactDOM from "react-dom";
function App() {
    return (<div id='container'>
        <div className='wrap'>
            <h4>Choose Color</h4>
            <ColorPickerComponent disabled={true}/>
        </div>
      </div>);
}
;
export default App;
ReactDOM.render(<App />, document.getElementById('element'));
import { ColorPickerComponent } from '@syncfusion/ej2-react-inputs';
import * as React from "react";
import * as ReactDOM from "react-dom";

function App() {
    return (
      <div id='container'>
        <div className='wrap'>
            <h4>Choose Color</h4>
            <ColorPickerComponent disabled={true}/>
        </div>
      </div>
    );
};
export default App;
ReactDOM.render(<App />, document.getElementById('element'));

Disabled in Angular Color picker component

28 Sep 20231 minute to read

To achieve disabled state in ColorPicker, set the disabled property to true. The ColorPicker pop-up cannot be accessed in disabled state.

The following example shows the disabled state of ColorPicker component.

import { Component } from '@angular/core';

@Component({
    selector: 'app-root',
    template: `<div class="e-section-control">
                <h4>Disabled State</h4>
               <!-- To disable ColorPicker. -->
               <ejs-input ejs-colorpicker type="color" id="element" [disabled]="true" /></div>`
})

export class AppComponent { }
import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { FormsModule } from '@angular/forms';
import { AppComponent } from './app.component';
import { ColorPickerModule } from '@syncfusion/ej2-angular-inputs';
import { enableRipple } from '@syncfusion/ej2-base';

enableRipple(true);

/**
 * Module
 */
@NgModule({
    imports: [
        BrowserModule, FormsModule, ColorPickerModule
    ],
    declarations: [AppComponent],
    bootstrap: [AppComponent]
})
export class AppModule { }
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { enableProdMode } from '@angular/core';
import { AppModule } from './app.module';

import 'zone.js';
enableProdMode();
platformBrowserDynamic().bootstrapModule(AppModule);